Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 384509

Summary: app-text/xindy-2.5.0 bump request
Product: Gentoo Linux Reporter: Adrien Lemaire <lemaire.adrien>
Component: Current packagesAssignee: TeX project <tex>
Status: RESOLVED WONTFIX    
Severity: normal CC: common-lisp, jstein
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Adrien Lemaire 2011-09-26 09:39:08 UTC
When I run "xindy -V", I get:

xindy release: 2.4
xindy script version: 1.16
/usr/lib/clisp-2.48/base/lisp.run: initialization file `/usr/lib/xindy/xindy.mem' was not created by this version of CLISP runtime


Bug fixed in django bug tracker : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580762

Needs to upgrade the xindy ebuild from 2.4 to 2.4-1 to resolve the bug.
Comment 1 Jonas Stein gentoo-dev 2016-12-03 15:38:30 UTC
Where can we find the most recent upstream source code?
I could only see xindy-2.3 on SF.
Upstream seems dead since 2009.
Comment 2 Jonas Stein gentoo-dev 2017-11-26 18:59:20 UTC
The latest development is now on the TeXlive SVN. 
The author jschrod backports it from time to time to his github repo.
https://github.com/jschrod/xindy.ctan
Comment 3 Andreas K. Hüttel gentoo-dev 2017-12-25 23:26:32 UTC
It's tagged on github
Comment 4 Jonas Stein gentoo-dev 2019-06-22 13:16:55 UTC
There is exactly 1 release (2.5.0) from 2014 on https://github.com/jschrod/xindy.ctan/releases

There is also a 2.5.1 release. I do not understand where development takes place.
http://www.linuxfromscratch.org/blfs/view/8.3/pst/xindy.html

https://repology.org/projects/?search=xindy

CTAN lists 2.5.1 too and is newer than the upstream homepage it links.
https://ctan.org/pkg/xindy?lang=en

Should we treeclean it, because it is included in texlive?
https://ctan.org/pkg/texlive
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-04-20 08:11:11 UTC
Out of confusion, I have merged xindy into texlive-2020 as it is being provided by the collection-binextra in anyway and is placed on the texlive net on CTAN. The separate package will be removed alongside with the texlive-2019.